# To recompile using the Oracle Instant Client libraries, use:
#   rpmbuild --rebuild --define 'oracle 1' php-4.3.2-X.ent.src.rpm
%{!?oracle:%define oracle 0}

Summary: The PHP HTML-embedded scripting language. (PHP: Hypertext Preprocessor)
Name: php
Version: 4.3.2
Release: 25.ent
License: The PHP License
Group: Development/Languages
URL: http://www.php.net/

Source0: http://www.php.net/distributions/php-%{version}.tar.bz2
Source1: php-mknspace.awk
Source2: php-gdsyms.txt
Source50: php.conf

Patch1: php-4.2.2-apache2.patch
Patch2: php-4.3.1-config.patch
Patch3: php-4.2.2-lib64.patch
Patch4: php-4.2.2-cxx.patch
Patch6: php-4.3.1-tests.patch
Patch7: php-4.3.2-safemode.patch
Patch8: php-4.3.2-confleak.patch
Patch9: php-4.3.2-sslerr.patch
Patch10: php-4.3.2-safemode2.patch
Patch11: php-4.3.2-phpize64.patch
Patch12: php-4.3.2-fdsetsize.patch
Patch13: php-4.3.2-printfnul.patch
Patch14: php-4.3.2-serialperf.patch
Patch15: php-4.3.2-serial64.patch

# Fixes for extension modules
Patch20: php-4.3.2-ldap.patch
Patch21: php-4.3.1-odbc.patch
Patch22: php-4.3.2-db4.patch
Patch23: php-4.3.2-domxml.patch
Patch24: php-4.3.2-iconv.patch
Patch25: php-4.3.2-oci8.patch
Patch26: php-4.3.2-ap2fixes.patch
Patch27: php-4.3.2-pcrealloc.patch
Patch28: php-4.3.2-libgdnspace.patch
Patch29: php-4.3.2-dbadb4.patch
Patch90: php-4.3.2-gdimgcopy.patch
Patch91: php-4.3.2-curlsafemode.patch

# Functional changes
Patch30: php-4.3.1-dlopen.patch

# Test suite changes
Patch40: php-4.3.2-serialtests.patch

# Security fixes
Patch50: php-4.3.2-CAN-2004-0594.patch
Patch51: php-4.3.2-CAN-2004-0595.patch
Patch52: php-4.3.2-mpf-parser.patch
Patch53: php-4.3.2-vararray.patch
Patch54: php-4.3.2-CAN-2004-1018.patch
Patch55: php-4.3.2-CAN-2004-1019.patch
Patch56: php-4.3.2-CAN-2004-1065.patch
Patch57: php-4.3.2-CAN-2005-0524.patch
Patch58: php-4.3.2-exif.patch
Patch59: php-4.3.2-CAN-2005-1921.patch
Patch60: php-4.3.2-shtool.patch
Patch61: php-4.3.2-CAN-2005-2498.patch

BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: bzip2-devel, curl-devel >= 7.9, db4-devel, expat-devel, freetype-devel
BuildRequires: gd-devel >= 1.8.4, gmp-devel, pspell-devel
BuildRequires: httpd-devel >= 2.0.40-6, libjpeg-devel, libpng-devel, pam-devel
BuildRequires: libstdc++-devel, libxml2-devel, ncurses-devel, openssl-devel
BuildRequires: zlib-devel, pcre-devel
BuildRequires: bzip2, fileutils, perl, libtool
Obsoletes: php-dbg, mod_php, php3, phpfi, stronghold-php
# Enforce Apache module ABI compatibility
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing-httpd-devel)
# Forward-compatibility with RHEL4 and later:
Provides: php-mbstring, php-gd

%description
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache Web server to understand and process
the embedded PHP language in Web pages.

%package devel
Group: Development/Libraries
Summary: Files needed for building PHP extensions.
Requires: php = %{version}-%{release}

%description devel
The php-devel package contains the files needed for building PHP
extensions. If you need to compile your own PHP extensions, you will
need to install this package.

%package imap
Summary: An Apache module for PHP applications that use IMAP.
Group: Development/Languages
Requires: php = %{version}-%{release}
Obsoletes: mod_php3-imap, stronghold-php-imap
BuildRequires: krb5-devel, openssl-devel, imap-devel

%description imap
The php-imap package contains a dynamic shared object (DSO) for the
Apache Web server. When compiled into Apache, the php-imap module will
add IMAP (Internet Message Access Protocol) support to PHP. IMAP is a
protocol for retrieving and uploading e-mail messages on mail
servers. PHP is an HTML-embedded scripting language. If you need IMAP
support for PHP applications, you will need to install this package
and the php package.

%package ldap
Summary: A module for PHP applications that use LDAP.
Group: Development/Languages
Requires: php = %{version}-%{release}
Obsoletes: mod_php3-ldap, stronghold-php-ldap
BuildRequires: cyrus-sasl-devel, openldap-devel, openssl-devel

%description ldap
The php-ldap package is a dynamic shared object (DSO) for the Apache
Web server that adds Lightweight Directory Access Protocol (LDAP)
support to PHP. LDAP is a set of protocols for accessing directory
services over the Internet. PHP is an HTML-embedded scripting
language. If you need LDAP support for PHP applications, you will
need to install this package in addition to the php package.

%package mysql
Summary: A module for PHP applications that use MySQL databases.
Group: Development/Languages
Requires: php = %{version}-%{release}
Provides: php_database
Obsoletes: mod_php3-mysql, stronghold-php-mysql
BuildRequires: mysql-devel

%description mysql
The php-mysql package contains a dynamic shared object that will add
MySQL database support to PHP. MySQL is an object-relational database
management system. PHP is an HTML-embeddable scripting language. If
you need MySQL support for PHP applications, you will need to install
this package and the php or mod_php package.

%package pgsql
Summary: A PostgreSQL database module for PHP.
Group: Development/Languages
Requires: php = %{version}-%{release}
Provides: php_database
Obsoletes: mod_php3-pgsql, stronghold-php-pgsql
BuildRequires: krb5-devel, openssl-devel, postgresql-devel

%description pgsql
The php-pgsql package includes a dynamic shared object (DSO) that can
be compiled in to the Apache Web server to add PostgreSQL database
support to PHP. PostgreSQL is an object-relational database management
system that supports almost all SQL constructs. PHP is an
HTML-embedded scripting language. If you need back-end support for
PostgreSQL, you should install this package in addition to the main
php package.

%package odbc
Group: Development/Languages
Requires: php = %{version}-%{release}
Summary: A module for PHP applications that use ODBC databases.
Provides: php_database
Obsoletes: stronghold-php-odbc
BuildRequires: unixODBC-devel

%description odbc
The php-odbc package contains a dynamic shared object that will add
database support through ODBC to PHP. ODBC is an open specification
which provides a consistent API for developers to use for accessing
data sources (which are often, but not always, databases). PHP is an
HTML-embeddable scripting language. If you need ODBC support for PHP
applications, you will need to install this package and the php
package.

%if %{oracle}
%package oci8
Group: Development/Languages
Summary: A module for PHP applications that use OCI8 databases.
BuildRequires: oracle-instantclient-devel >= 10
Requires: php = %{version}-%{release}
Provides: php_database
AutoReq: 0
Requires: oracle-instantclient-basic >= 10

%description oci8
The php-oci8 package contains a dynamic shared object that will add
support for accessing OCI8 databases to PHP.
%endif

%prep
%setup -q
%patch1 -p1 -b .apache2
%patch2 -p1 -b .config
%patch3 -p1 -b .lib64
%patch4 -p1 -b .cxx
%patch6 -p1 -b .tests
%patch7 -p1 -b .safemode
%patch8 -p1 -b .confleak
%patch9 -p1 -b .sslerr
%patch10 -p1 -b .safemode2
%patch11 -p1 -b .phpize64
%patch12 -p1 -b .fdsetsize
%patch13 -p1 -b .printfnul

%patch20 -p1 -b .ldap
%patch21 -p1 -b .odbc
%patch22 -p1 -b .db4
%patch23 -p1 -b .domxml
%patch24 -p1 -b .iconv
%patch25 -p1 -b .oci8
%patch26 -p1 -b .ap2fixes
%patch27 -p1 -b .pcrealloc
%patch28 -p1 -b .libgdnspace
%patch29 -p1 -b .dbadb4
%patch90 -p1 -b .gdimgcopy
%patch91 -p1 -b .curlsafemode

%patch30 -p1 -b .dlopen

%patch40 -p1 -b .serialtests

%patch50 -p1 -b .can0594
%patch51 -p1 -b .can0595
%patch52 -p1 -b .mpf-parser
%patch53 -p1 -b .vararray
%patch54 -p1 -b .can1018
%patch55 -p1 -b .can1019
%patch56 -p1 -b .can1065
%patch57 -p1 -b .can0524
%patch58 -p1 -b .exif
%patch60 -p1 -b .can1921

### fixes additional to the patch55 unserializer changes
%patch14 -p1 -b .serialperf
%patch15 -p1 -b .serial64

# Prevent %doc confusion over LICENSE & Zend/LICENSE
cp Zend/LICENSE Zend/ZEND_LICENSE

# Source is built twice: once for /usr/bin/php, once for the Apache DSO.
mkdir build-cgi build-apache

# Use correct libdir
perl -pi -e 's|%{_prefix}/lib|%{_libdir}|' php.ini-dist

# Remove bogus test; position of read position after fopen(, "a+")
# is not defined by C standard, so don't presume anything.
rm -f ext/standard/tests/file/bug21131.phpt

# Tests that fail.
rm -f ext/standard/tests/file/bug22414.phpt \
      ext/session/tests/019.phpt \
      ext/standard/tests/math/pow.phpt \
      ext/standard/tests/math/round.phpt \
      ext/standard/tests/math/abs.phpt \
      ext/iconv/tests/bug16069.phpt

# Create gd namespace-safety header
awk -f $RPM_SOURCE_DIR/php-mknspace.awk < $RPM_SOURCE_DIR/php-gdsyms.txt \
       > ext/gd/libgd/gdnspace.h

%define pear_xmlrpc_tar pear/packages/XML_RPC-1.0.4.tar

# Untar, patch, then retar the XML-RPC package
pkg=`unset TMPDIR; mktemp -dp ${PWD}`
pushd $pkg
 tar -xvf ../%{pear_xmlrpc_tar}
%patch59 -p0
%patch61 -p0
 tar -cvf ../%{pear_xmlrpc_tar} .
popd
rm -rf $pkg

%build

CFLAGS="$RPM_OPT_FLAGS -fPIC -Wall"; export CFLAGS

# Add the Kerberos library path to the default LDFLAGS so that the IMAP checks
# will be able to find the GSSAPI libraries.
LDFLAGS="-L/usr/kerberos/%{_lib}"; export LDFLAGS

# Configure may or may not catch these (mostly second-order) dependencies.
LIBS="-lfreetype -lpng -ljpeg -lz -lnsl"; export LIBS
%ifnarch x86_64 ppc64
# this shouldn't be needed on any platform and should be removed.
LIBS="-lttf $LIBS"
%endif

# Install extension modules in %{_libdir}/php4.
EXTENSION_DIR=%{_libdir}/php4; export EXTENSION_DIR

# This pulls the static /usr/lib/libc-client.a into the IMAP extension module.
IMAP_SHARED_LIBADD=-lc-client ; export IMAP_SHARED_LIBADD

if pkg-config openssl; then
    CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
    LIBS="$LIBS `pkg-config --libs openssl`"
fi

# pull latest ltmain.sh, AC_PROG_LIBTOOL
libtoolize --force --copy
# force aclocal run during buildconf
touch acinclude.m4

# Regenerate configure scripts (patches change config.m4's)
./buildconf --force

# Shell function to configure and build a PHP tree.
build() {
# bison-1.875-2 seems to produce a broken parser; workaround.
mkdir Zend && cp ../Zend/zend_{language,ini}_{parser,scanner}.[ch] Zend
ln -sf ../configure
%configure \
	--cache-file=../config.cache \
	--with-config-file-path=%{_sysconfdir} \
	--with-config-file-scan-dir=%{_sysconfdir}/php.d \
	--enable-force-cgi-redirect \
	--disable-debug \
	--enable-pic \
	--disable-rpath \
	--enable-inline-optimization \
	--with-bz2 \
	--with-db4=%{_prefix} \
	--with-curl \
	--with-dom=%{_prefix} \
	--with-exec-dir=%{_bindir} \
	--with-freetype-dir=%{_prefix} \
	--with-png-dir=%{_prefix} \
	--with-gd \
	--enable-gd-native-ttf \
	--with-ttf \
	--with-gettext \
	--with-ncurses \
	--with-gmp \
	--with-iconv \
	--with-jpeg-dir=%{_prefix} \
	--with-openssl \
	--with-png \
	--with-pspell \
	--with-regex=system \
	--with-xml \
	--with-expat-dir=%{_prefix} \
        --with-pcre-regex=%{_prefix} \
	--with-zlib \
	--with-layout=GNU \
	--enable-bcmath \
	--enable-exif \
	--enable-ftp \
	--enable-magic-quotes \
	--enable-safe-mode \
	--enable-sockets \
	--enable-sysvsem \
	--enable-sysvshm \
	--enable-discard-path \
	--enable-track-vars \
	--enable-trans-sid \
	--enable-yp \
	--enable-wddx \
%ifarch %{ix86} s390 ppc
        --enable-mbstring --enable-mbstr-enc-trans \
        --enable-mbregex \
%endif
	--with-pear=/usr/share/pear \
	--with-imap=shared \
	--with-imap-ssl \
	--with-kerberos=/usr/kerberos \
	--with-ldap=shared \
	--with-mysql=shared,%{_prefix} \
%if %{oracle}
	--with-oci8-instant-client=shared \
%endif
	--with-pgsql=shared \
        --with-unixODBC=shared \
	--enable-memory-limit \
	--enable-bcmath \
	--enable-shmop \
	--enable-versioning \
	--enable-calendar \
	--enable-dbx \
	--enable-dio \
	--enable-mcal \
	$* || tail -200 config.log

make %{?_smp_mflags}
}

# Build standalone /usr/bin/php
pushd build-cgi
build --enable-force-cgi-redirect --enable-pcntl
export NO_INTERACTION=1 REPORT_EXIT_STATUS=1
unset TZ LANG LC_ALL
if ! make test; then
  for f in `find .. -name \*.diff -type f -print`; do
    echo "$f::"
    cat $f
  done
  exit 1
fi
popd

# Build Apache module
pushd build-apache
build --with-apxs2filter=%{_sbindir}/apxs
popd

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# Install from CGI tree
pushd build-cgi
make install INSTALL_ROOT=$RPM_BUILD_ROOT 
popd

### TODO: only configure shared modules for the one of the two builds
# Install the Apache module
pushd build-apache
make install-sapi INSTALL_ROOT=$RPM_BUILD_ROOT
popd

# Install the default configuration file and icons
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/
install -m 644    php.ini-dist $RPM_BUILD_ROOT%{_sysconfdir}/php.ini

# install the DSO
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m 755 build-apache/libs/libphp4.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules

# Apache config fragment
install -m 755 -d $RPM_BUILD_ROOT/etc/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/php.conf $RPM_BUILD_ROOT/etc/httpd/conf.d

install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/php.d

%if %{oracle}
ocimod=oci8
%endif
# Generate files lists and stub .ini files for each subpackage
for mod in pgsql mysql odbc imap ldap ${ocimod}; do
    cat > $RPM_BUILD_ROOT%{_sysconfdir}/php.d/${mod}.ini <<EOF
; Enable ${mod} extension module
extension=${mod}.so
EOF
    cat > files.${mod} <<EOF
%attr(755,root,root) %{_libdir}/php4/${mod}.so
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/php.d/${mod}.ini
EOF
done

# Remove PEAR testsuite
rm -rf $RPM_BUILD_ROOT%{_datadir}/pear/tests

# Remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/php4/*.a \
      $RPM_BUILD_ROOT%{_bindir}/{phptar,pearize}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm files.*

# remove extension= lines for packaged modules from php.ini (#112470)
%triggerpostun -- php < 4.3.2-9.ent
test -x %{_bindir}/perl && %{_bindir}/perl -pi.rpmold -e 's/^extension=(pgsql|mysql|odbc|ldap|snmp|imap).so\n//' /etc/php.ini
exit 0

%files
%defattr(-,root,root)
%doc CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS README*
%doc Zend/ZEND_*
%config(noreplace) %{_sysconfdir}/php.ini
%{_bindir}/php
%{_bindir}/pear
%{_datadir}/pear
%dir %{_libdir}/php4
%{_libdir}/httpd/modules/libphp4.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/php.conf
%dir %{_sysconfdir}/php.d

%files devel
%defattr(-,root,root)
%{_bindir}/php-config
%{_bindir}/phpize
%{_bindir}/phpextdist
%{_includedir}/php
%{_libdir}/php

%files pgsql -f files.pgsql

%files mysql -f files.mysql

%files odbc -f files.odbc

%if %{oracle}
%files oci8 -f files.oci8
%endif

%files imap -f files.imap

%files ldap -f files.ldap

%changelog
* Wed Aug 17 2005 Joe Orton <jorton@redhat.com> 4.3.2-25.ent
- add security fix for pear XML_RPC (Stefan Esser, CAN-2005-2498, #165846)

* Wed Jun 29 2005 Joe Orton <jorton@redhat.com> 4.3.2-24.ent
- add security fixes:
 * shtool temp file handling (CAN-2005-1751, #159000)
 * XML_RPC command injection (Stefan Esser, CAN-2005-1921, #162045)

* Thu Apr 14 2005 Joe Orton <jorton@redhat.com> 4.3.2-23.ent
- add security fixes from upstream:
 * getimagesize() seek loops (CAN-2005-0524, #153140)
 * exif issues (CAN-2005-1042, CAN-2005-1043, #154021, #154025)
- add fixes for unserialize() integer handling on 64-bit platforms

* Thu Mar  3 2005 Joe Orton <jorton@redhat.com> 4.3.2-22.ent
- switch Oracle support to use Instant Client SDK (Kai Bolay, #149873)

* Wed Mar  2 2005 Joe Orton <jorton@redhat.com> 4.3.2-21.ent
- gd extension: imagecopymerge() fix (from upstream via Samuel Stringham, #149946)
- curl extension: safe mode fixes (from upstream, #147808)
- provide php-gd and php-mbstring for forward-compat with RHEL4+

* Tue Jan 18 2005 Joe Orton <jorton@redhat.com> 4.3.2-20.ent
- fix performance regressions in unserializer from upstream (#145436)

* Tue Dec 7 2004 Joe Orton <jorton@redhat.com> 4.3.2-19.ent
- add security fixes from upstream (#141132, #142056):
 * various unserializer fixes; updated to 4.3.10 code (CAN-2004-1019)
 * add fix for exif buffer overflow (CAN-2004-1065)
- shmop_write bounds checking and pack/unpack integer overflows
 (assigned CAN-2004-1018; only impact for malicious scripts)
- fix trailing NUL from printf in some cases (#138250)
- BuildRequire libtool (#137720)

* Wed Oct 20 2004 Joe Orton <jorton@redhat.com> 4.3.2-18.ent
- fix segfault introduced in fix for #134971

* Mon Oct 11 2004 Joe Orton <jorton@redhat.com> 4.3.2-17.ent
- add security fixes for multipart form parser (#134975)
- add security fix for array variable parsing (#134971)

* Fri Oct  1 2004 Joe Orton <jorton@redhat.com> 4.3.2-16.ent
- enable pcntl extension in CGI (#131412)

* Wed Sep  8 2004 Joe Orton <jorton@redhat.com> 4.3.2-15.ent
- fix phpize for libdir=/usr/lib64 platforms (#131562)
- add workarounds for select/FD_SETSIZE issues (#132003)

* Mon Jul 12 2004 Joe Orton <jorton@redhat.com> 4.3.2-14.ent
- have -devel require php of same release
- fix rebuild issues without bison and flex installed (#127701)
- add lsqrt, _gd{Put,Get}Colors, ZeroDataBlock to gdnspace.h
- merge from upstream:
 * add security fixes for CVE CAN-2004-0594, CAN-2004-0595 (#127642)
 * add bug fixes for safe mode, fix for dba db4 'c' mode
 * export st_dev from 2.0 SAPI (upstream #28818)

* Sun May 30 2004 Joe Orton <jorton@redhat.com> 4.3.2-13.ent
- create gdnspace.h header on the fly
- add workaround for SSL errors at stream EOF (#124582)

* Fri May 28 2004 Joe Orton <jorton@redhat.com> 4.3.2-12.ent
- avoid symbol clashes between system and bundled libgd (#124530)
- fix potential issues at httpd restart in pcre

* Tue Apr  6 2004 Joe Orton <jorton@redhat.com> 4.3.2-11.ent
- fix ldap_start_tls detection (#119425)
- use system pcre library (part of #115379)
- rebuild to pick up fix for c-client symbol clash (#118137)
- merge 2.0 filter SAPI fixes from 4.3.6

* Fri Jan 30 2004 Joe Orton <jorton@redhat.com> 4.3.2-10.ent
- add trigger to handle php.ini upgrades smoothly (#112470)
- add fix for config setting leaking from upstream (#110861)
- drop gdbm support due to licence incompatibility
- add fix for oci8 from upstream (#114624)

* Fri Sep 12 2003 Joe Orton <jorton@redhat.com> 4.3.2-9.ent
- fix possible rebuild issues (#104061)

* Fri Aug 22 2003 Joe Orton <jorton@redhat.com> 4.3.2-8.ent
- enable fixed pspell, semop tests.
- from upstream: safe mode and apache2filter fixes from 4.3.3
- forward-port #82967 workaround from 8.0/9 errata
- allow upgrade from Stronghold 4.0
- don't link against -lttf on x86_64 or ppc64

* Tue Jul  8 2003 Joe Orton <jorton@redhat.com> 4.3.2-7.ent
- enable mbstring, mbregex extensions
- use system pcre library

* Wed Jun  4 2003 Joe Orton <jorton@redhat.com> 4.3.2-6.ent
- workaround for test suite hang on ppc
- fix pspell tests

* Wed Jun  4 2003 Joe Orton <jorton@redhat.com> 4.3.2-5.ent
- fix iconv extension for LP64 platforms

* Sun Jun  1 2003 Joe Orton <jorton@redhat.com> 4.3.2-4.ent
- enable gmp support on s390x

* Sat May 31 2003 Joe Orton <jorton@redhat.com> 4.3.2-3.ent
- add lib64 fix for ppc

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 4.3.2-2.ent
- rebuild for RHEL; remove -snmp, -manual, -devel subpackages
- drop aspell-devel requirement
- fix domxml for LP64 platforms

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 4.3.2-2
- update the -tests and -lib64 patches
- fixes for db4 detection
- require aspell-devel >= 0.50.0 for pspell compatibility

* Thu May 29 2003 Joe Orton <jorton@redhat.com> 4.3.2-1
- update to 4.3.2

* Fri May 16 2003 Joe Orton <jorton@redhat.com> 4.3.1-3
- link odbc module correctly
- patch so that php -n doesn't scan inidir
- run tests using php -n, avoid loading system modules

* Wed May 14 2003 Joe Orton <jorton@redhat.com> 4.3.1-2
- workaround broken parser produced by bison-1.875

* Tue May  6 2003 Joe Orton <jorton@redhat.com> 4.3.1-1
- update to 4.3.1; run test suite
- open extension modules with RTLD_NOW rather than _LAZY

* Tue May  6 2003 Joe Orton <jorton@redhat.com> 4.2.2-19
- patch for gd 2.x API changes in gd extension

* Thu May  1 2003 Joe Orton <jorton@redhat.com> 4.2.2-18
- rebuild to use aspell (#89925)
- patch to work round conditional AC_PROG_CXX break in autoconf 2.57
- fix dba build against db >= 4.1

* Mon Feb 24 2003 Joe Orton <jorton@redhat.com> 4.2.2-17
- restrict SNMP patch to minimal changes, fixing segv on startup (#84607)

* Wed Feb 12 2003 Joe Orton <jorton@redhat.com> 4.2.2-16
- prevent startup if using httpd.worker to avoid thread-safety issues.
- fix parsing private keys in OpenSSL extension (#83994)
- fixes for SNMP extension (backport from 4.3) (#74761)

* Wed Jan 29 2003 Joe Orton <jorton@redhat.com> 4.2.2-15
- add security fixes for wordwrap() and mail()

* Mon Jan 13 2003 Joe Orton <jorton@redhat.com> 4.2.2-14
- drop explicit Requires in subpackages, rely on automatic deps.
- further fixes for libdir=lib64

* Tue Dec 17 2002 Joe Orton <jorton@redhat.com> 4.2.2-13
- drop prereq for perl, grep in subpackages
- rebuild and patch for OpenSSL 0.9.7

* Tue Dec 10 2002 Joe Orton <jorton@redhat.com> 4.2.2-12
- backport "ini dir scanning" patch from CVS HEAD; /etc/php.d/*.ini
  are now loaded at startup; each subpackage places an ini file
  in that directory rather than munging /etc/php.ini in post/postun.
- default config changes: enable short_open_tag; remove settings for
  php-dbg extension

* Wed Dec  4 2002 Joe Orton <jorton@redhat.com> 4.2.2-11
- own the /usr/lib/php4 directory (#73894)
- reinstate dropped patch to unconditionally disable ZTS

* Mon Dec  2 2002 Joe Orton <jorton@redhat.com> 4.2.2-10
- remove ldconfig invocation in post/postun
- fixes for #73516 (partially), #78586, #75029, #75712, #75878

* Wed Nov  6 2002 Joe Orton <jorton@redhat.com> 4.2.2-9
- fixes for libdir=/usr/lib64, based on SuSE's patches.
- add build prereqs for zlib-devel, imap-devel, curl-devel (#74819)
- remove unpackaged files from install root
- libtoolize; use configure cache to speed up build

* Mon Sep 23 2002 Philip Copeland <bryce@redhat.com> 4.2.2-8.0.6
- PHP cannot determine which UID is being used, so safe
  mode restrictions were always applied. Fixed. (#74396)

* Tue Sep 3 2002 Philip Copeland <bryce@redhat.com> 4.2.2-8.0.4
- zts support seems to crash out httpd on a *second* sighup
  ie service httpd start;
  apachectl restart ; (ok)
  apachectl restart ; (httpd segv's and collapses)
  removed --enable-experimental-zts which this seems related to.
- Small patch added because some places need to know that they
  aren't using the ZTS API's (dumb)

* Mon Sep 2 2002 Philip Copeland <bryce@redhat.com> 4.2.2-8.0.3
- fixup /etc/httpd/conf.d/php.conf to limit largest amount
  of data accepted (#73254) Limited to 512K (which seems a
  little excessive but anyway,..)
  Note: php.conf is part of the srpm sources not part of the
  php codebase.
- ditched extrenious --enable-debugger (was for php-dbg)
- When upgrading we tend not to modify /etc/php.ini if it exists,
  instead we create php.ini.rpmnew. Modified the post scripts to
  edit php.ini.rpmnew if it exists, so that people can copy
  over the php.ini.rpmnew as php.ini knowing that it will
  be an edited version, consistant with what modules they
  installed #72033

* Sun Sep 1 2002 Joe Orton <jorton@redhat.com> 4.2.2-8.0.2
- require httpd-mmn for module ABI compatibility

* Fri Aug 30 2002 Philip Copeland <bryce@redhat.com> 4.2.2-8.0.1
- URLS would drop the last arguments #72752
        --enable-mbstring
        --enable-mbstr-enc-trans
  These were supposed to help provide multibyte language
  support, however, they cause problems. Removed. Maybe in
  a later errata when they work.
- added small patch to php_variables.c that allows
  $_GET[<var>] to initialise properly when
  --enable-mbstr-enc-trans is disabled.
- Be consistant with errata naming (8.0.x)

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 4.2.2-11
- rebuild

* Wed Aug 22 2002 Philip Copeland <bryce@redhat.com> 4.2.2-10
- Beat down the requirement list to something a little
  more sane

* Wed Aug 14 2002 Bill Nottingham <notting@redhat.com> 4.2.2-9
- trim manual language lists

* Mon Aug 12 2002 Gary Benson <gbenson@redhat.com> 4.2.2-8
- rebuild against httpd-2.0.40

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com> 4.2.2-7
- rebuilt with gcc-3.2 (we hope)

* Wed Aug 7 2002 Philip Copeland <bryce@redhat.com> 4.2.2-6
- Where multiple cookies are set, only the last one
  was actually made. Fixes #67853

* Mon Aug 5 2002 Philip Copeland <bryce@redhat.com> 4.2.2-5
- Shuffled the php/php-devel package file manifest
  with respect to PEAR (PHP Extension and Application
  Repository) #70673

* Fri Aug 2 2002 Philip Copeland <bryce@redhat.com> 4.2.2-4
- #67815, search path doesn't include the pear directory
- pear not being installed correctly. Added --with-pear=
  option.

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 4.2.2-2
- build using gcc-3.2-0.1

* Mon Jul 22 2002 Philip Copeland <bryce@redhat.com> 4.2.2-1
- Yippie 8/ another security vunerability (see
  http://www.php.net/release_4_2_2.php for details)

* Wed Jul 17 2002 Philip Copeland <bryce@redhat.com> 4.2.1-9
- Reminder to self that mm was pushed out because it's
  NOT thread safe.
- Updated the manuals (much to Bills horror)

* Tue Jul 16 2002 Philip Copeland <bryce@redhat.com> 4.2.1-8
- php.ini alteration to fit in with the install/uninstall
  of various php rpm based installable modules

* Mon Jul 15 2002 Philip Copeland <bryce@redhat.com> 4.2.1-8
- php -v showing signs of deep unhappiness with the world
  added  --enable-experimental-zts to configure to make it
  happy again (yes I know experimental sounds 'dangerous'
  it's just a name for an option we need)

* Fri Jul 12 2002 Philip Copeland <bryce@redhat.com> 4.2.1-7
- #68715, Wrong name for Mysql Module in php.ini. Fixed.

* Fri Jun 28 2002 Philip Copeland <bryce@redhat.com> 4.2.1-6
- SNMP fixup

* Thu Jun 27 2002 Philip Copeland <bryce@redhat.com> 4.2.1-5
- Ah,.. seems httpd2 has been renamed to just plain
  ol' httpd. Fixed spec file to suit.
- ucd-snmp changed to net-snmp overnight...
  temporarily disabled snmp while I work out the
  impact of this change and if it is safe

* Wed Jun 26 2002 Philip Copeland <bryce@redhat.com> 4.2.1-4
- openldap 2.1.x problem solved by Nalin. Sure the ldap
  API didn't change,... <mutter>. Added TSRMLS_FETCH()
  to ldap_rebind_proc().
- Removed the php-dbg package as thats going to be provided
  elsewhere

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 4.2.1-3
- automated rebuild

* Mon Jun 10 2002 Philip Copeland <bryce@redhat.com> 4.2.1-2
- Actually mm is now a dead project. Removed permently.

* Tue May 28 2002 Gary Benson <gbenson@redhat.com> 4.2.1-2
- change paths for httpd-2.0
- add the config file
- disable mm temporarily

* Sun May 26 2002 Tim Powers <timp@redhat.com> 4.2.1-1
- automated rebuild

* Wed May 22 2002 Philip Copeland <bryce@redhat.com> 4.2.1-0
- Initial pristine build of php-4.2.1
- Minor patch to get around a 64 bitism
- Added in the dgb debugging hooks

